voaAreaPlot(1)

NAME
voaAreaPlot - Plot VOACAP Area Data Files

SYNOPSIS
voaAreaPlot [options] file_name

DESCRIPTION
voaAreaPlot A python script used to graphically display the contents of output files produced by VOACAP 'area' calculations. the 'file_name parameter defines the path to a .voa or .vgz file. If a .voa file is specified, the corresponding output files (e.g. '.vg1') must be located in the same directory.

OPTIONS

--version
    Display the version number and exit.

-c, --contours
    Plot contours on the map.

-d DATATYPE, --datatype=DATATYPE
    An integer number representing the data type (MUF, REL or SNR) to plot. Valid values of DATATYPE are 1 (MUF), 2 (REL), 3 (SNR) 4 (SNRxx), 5 (SDBW) and 6 (SDBW - formatted as S-Meter values). Default value is 1 (MUF)

--filled-contour
    Creates a filled contour plot.

-h, --help
    Print a help message and exit.

-i, --meridian
    Plot meridians (lines of constant latitude) on the map..

-k, --background
    Specify the colour of the background. Any legal HTML color specification is supported e.g '-k red', '-k #eeefff', (default = white)

-l, --parallels (lines of constant longitude) on the map.
    Plot parallels.

-m COLOURMAP, --cmap=COLOURMAP
    COLOURMAP specifies the Colour map used by the plot. Valid values are; 'autumn', 'bone', 'cool','copper', 'gray', 'hot', 'hsv', 'jet', 'pink', 'spring', 'summer', 'winter'. Default value is 'jet'

-n POI_FILE, --interest=POI_FILE
    POI_FILE is a text file with points of interest to plot on the map. The file is comma (,) delimited with a single point of interest on each line in the form "longitude, latitude, text_name". The file format is the same as Garmin's POI csv files. A sample file would look like;
    36.599998, 28.366667, Tabuk
    39.183334, 21.700001, Jeddah
    42.799999, 18.299999, Khamis Mushait
    40.549999, 21.483334, Taif
    50.150002, 26.266666, Dahran

-p PROJECTION, --projection=PROJECTION
    PROJECTION specifies the map projection. Valid values are 'cyl' (Equidistant Cylindrical), 'mill' (Miller Cylindrical), gall' (Gall Stereographic), 'robin' (Robinson), 'vandg' (van der Grinten), 'sinu' (Sinusoidal), 'mbtfpq' (McBryde-Thomas Flat Polar Quartic), 'eck4' (Eckert IV), 'kav7' (Kavrayskiy VII), 'moll' (Mollweide), 'hammer' (Hammer).

-r RESOLUTION, --resolution=RESOLUTION
    A single character representing resolution of the final plot. RESOLUTION may be one of 'c' (crude), 'l' (low), 'i' (intermediate), 'h' (high), 'f' (full)

-t, --terminator
    Displays the night/day regions on the map.

-v VG_FILES, --vg_files=VG_FILES
    VG_FILES specifies which .vg files to plot, e.g. '-v 1,3,5,6' or use '-v a' to print all plots associated with the input file. Default is 1.

-z TIMEZONE, --timezone=TIMEZONE
    Specify a timezone. This option adjusts the (UTC) time specified in the datafile to the users local time.

EXAMPLES

voaAreaPlot aDataFile.voa
    Plots the contents of the file aDataFile.voa using default settings.

voaAreaPlot aZipArchive.vgz
    Plots the contents of the .voa file found in the .vgz archive using the default settings.

voaAreaPlot -r i -p mill aDataFile.voa
    Plots an intermediate resolution miller projection.

voaAreaPlot -m autumn -p ortho aDataFile.voa
    Plots an orthographic projection using the colour map 'autumn'.

ENVIRONMENT
voaAreaPlot does not require or make use of any environmental variables. The program requires the matlibplot library and basemap toolkit to run.

BUGS
No major bugs are known. Please submit .voa and .vg* files when submitting bug reports.

AUTHOR
The application and and man page was written by James Watson (M0DNS / HZ1JW) <jimwatson at mac dot com>

ACKNOLEDGMENTS
I'm indebted to the authors of matplotlib and the basemap toolkit which make plotting complex data sets straight forward and fun :-) Also to Lowell and Alex for beta testing and support.